Debian Bug report logs - #361346
RM: astrolog -- RoQA; orphaned long time, non-free, contains potentially undistributable code

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Christoph Berg <myon@debian.org>

Date: Sat, 8 Apr 2006 00:33:38 UTC

Severity: serious

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Tom Lear <tom@trap.mtview.ca.us>, <wnpp@debian.org>:
Bug#361346; Package wnpp. Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Berg <myon@debian.org>
To: submit@bugs.debian.org
Subject: O: astrolog -- Customizable astrology chart calculation program
Date: Sat, 8 Apr 2006 02:27:16 +0200
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: normal

The current maintainer of astrolog, Tom Lear <tom@trap.mtview.ca.us>,
is apparently not active anymore.  Therefore, I orphan this package now.

If you want to be the new maintainer, please take it -- see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Some information about this package:

Package: astrolog
Binary: astrolog
Version: 5.40-2.1
Priority: optional
Section: non-free/games
Maintainer: Tom Lear <tom@trap.mtview.ca.us>
Build-Depends: debhelper, libx11-dev
Architecture: any
Standards-Version: 3.5.6
Format: 1.0
Directory: pool/non-free/a/astrolog
Files:
 4078d018c5d9ad8d990b7400bdb27fd5 566 astrolog_5.40-2.1.dsc
 d2b96991c2daa3322f7b0b0b1d2e1b72 402135 astrolog_5.40.orig.tar.gz
 bebf8a542a7ae5378ffdf38fcda2c87d 6550 astrolog_5.40-2.1.diff.gz

Package: astrolog
Priority: optional
Section: non-free/games
Installed-Size: 556
Maintainer: Tom Lear <tom@trap.mtview.ca.us>
Architecture: i386
Version: 5.40-2.1
Depends: libc6 (>= 2.3.5-1), libx11-6
Filename: pool/non-free/a/astrolog/astrolog_5.40-2.1_i386.deb
Size: 315618
MD5sum: 83c038c15f96329319d483dfa86b0bdf
Description: Customizable astrology chart calculation program
 Astrolog is a many featured and customizable astrology chart calculation
 program for DOS, Windows, Mac, and Unix, used in 30+ countries on six
 continents.  It is 100% freeware and requires no registration fee. :)
 The complete source code is available . Astrolog features: wheels, aspects,
 midpoints, relationship charts, transits, progressions, some
 interpretations, astro-graphy, local horizon, constellations, planet
 orbits, dispositors, various influence charts, biorhythms, different
 zodiacs, central planets, 14 house systems, 8400 year ephemeris,
 asteroids, Uranians, fixed stars, Arabic parts, script files and macros,
 interactive PC & MS/X11 Windows graphics, smooth animation of charts,
 graphic files in PostScript, Windows metafile, and bitmap formats, and
 more!
Tag: game::toys, use::gameplaying


Christoph
-- 
cb@df7cb.de | http://www.df7cb.de/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#361346; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to familia <arawaco@ieee.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #8 received at submit@bugs.debian.org (full text, mbox):

From: familia <arawaco@ieee.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Bug#361346:ITA:astrolog
Date: Mon, 24 Sep 2007 19:27:36 -0500
Package: wnpp
Severity: normal

ITA, i wans to adopt this package
thank you

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.21-2-686 (SMP w/1 CPU core)
Locale: LANG=es_CO.UTF-8, LC_CTYPE=es_CO.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash




Changed Bug title to `ITA: astrolog -- Customizable astrology chart calculation program' from `O: astrolog -- Customizable astrology chart calculation program'. Request was from Thanasis Kinias <tkinias@kinias.org> to control@bugs.debian.org. (Tue, 25 Sep 2007 20:06:03 GMT) Full text and rfc822 format available.

Owner recorded as Thanasis Kinias <tkinias@kinias.org>. Request was from Thanasis Kinias <tkinias@kinias.org> to control@bugs.debian.org. (Tue, 25 Sep 2007 23:12:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#361346; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Thanasis Kinias <tkinias@kinias.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #17 received at 361346@bugs.debian.org (full text, mbox):

From: Thanasis Kinias <tkinias@kinias.org>
To: arawaco@ieee.org
Cc: 361346@bugs.debian.org
Subject: Debian astrolog ITA
Date: Tue, 25 Sep 2007 16:33:56 -0700
Greetings arawaco@ieee.org,

I just filed my ITA on the Debian astrolog package, which I've been
working on for a month or so now -- I've updated the building, patched
some code, fixed various bugs and policy violations, etc.  I've also
been in contact with the upstream author about clarifying the licensing.
I hadn't filed a formal ITA yet until today, though.  Nobody had touched
the package in a log time, but I'm anticipating being ready to upload in
the next couple of days, as soon as I finish writing the man page and
hear back from the -legal folks.

Anyway, I just noticed that you sent a message to the O: bug yesterday
saying:

> ITA, i wans to adopt this package
> thank you

but you didn't actually _do_ the ITA by taking ownership and retitling.

It's a rather bizarre coincidence that after all this time we both
started working on it so close together!

Have you done much work on this yet?  I really don't want to get into a
struggle over adoption of the package, but I've done rather a lot of
work already and would like to continue, especially if I can get the
package moved out of non-free (and I'm optimistic this can happen).

-- 
Thanasis Kinias
Doctoral Candidate, Department of History, and
  Instructor, Professional Enhancement Programs
Arizona State University, Tempe, Arizona, U.S.A.
.
Je ne viens d'aucun pays, d'aucune cité, d'aucune tribu.  Je suis fils de la
route, ma patrie est caravane, et ma vie la plus inattendue des traversées.
  -- Amin Maalouf, _Léon l'Africain_




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Thanasis Kinias <tkinias@kinias.org>:
Bug#361346; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to David Moreno Garza <damog@merkel.debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Thanasis Kinias <tkinias@kinias.org>. Full text and rfc822 format available.

Message #22 received at 361346@bugs.debian.org (full text, mbox):

From: David Moreno Garza <damog@merkel.debian.org>
To: control@bugs.debian.org
Cc: 361346@bugs.debian.org
Subject: WNPP bug retitle
Date: Sun, 08 Jun 2008 11:59:13 -0600
retitle 361346 O: astrolog -- Customizable astrology chart calculation program
noowner 361346
stop

Hello,

This is an automatic mail sent to retitle the ITA you have reported or 
are involved with.

Your ITA wnpp bug is being orphaned because of the following reasons:
- It is, as of today, older than 250 days.
- It hasn't had any activity recently.

As this is an automatic procedure, it could of course have something
wrong and probably it would be managing some bugs that are not 
intended by owners and submitters (like you) to be orphaned, for
example if the ITA is still of your interest, or there has been 
some kind of activity around it. In that case, please retitle the
bug, do it, DO IT NOW! (I don't want to be blamed because of
mass closing and not let people know that they can easily recover
their bugs ;-).

To retitle it, you simply have to mail <control@bugs.debian.org>
with a body text like this:

 retitle 361346 ITA: astrolog -- Customizable astrology chart calculation program
 owner 361346 !
 stop

Further comments on the work done in the bug sent to
361346@bugs.debian.org would be truly welcomed.
Anyway, if you have any kind of problems when dealing with
the BTS, feel free to contact me and I'd be more than happy to help
you on this: <damog@debian.org>.

A similar process is being applied to other kind of wnpp bugs.

Thanks for your cooperation,

 -- David Moreno Garza <damog@debian.org>.





Changed Bug title to `O: astrolog -- Customizable astrology chart calculation program' from `ITA: astrolog -- Customizable astrology chart calculation program'. Request was from David Moreno Garza <damog@merkel.debian.org> to control@bugs.debian.org. (Sun, 08 Jun 2008 18:00:07 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Thanasis Kinias <tkinias@kinias.org>. Request was from David Moreno Garza <damog@merkel.debian.org> to control@bugs.debian.org. (Sun, 08 Jun 2008 18:00:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#361346; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Frank Lichtenheld <djpig@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #31 received at 361346@bugs.debian.org (full text, mbox):

From: Frank Lichtenheld <djpig@debian.org>
To: 361346@bugs.debian.org
Cc: familia <arawaco@ieee.org>, Thanasis Kinias <tkinias@kinias.org>
Subject: Remove
Date: Wed, 17 Sep 2008 15:06:01 +0200
severity 361346 serious
thanks

Hi,

astrolog has been orphaned for a long time now and I am evaluating
whether a request for removal should be finally filed.

You are receiving this mail because:
 - your name showed up somewhere in the history of the package
 - I think that you might be interested for some reason
 - or you maintain a related/similar package

Are you interested in adopting this package? Do you know potential adopters?
If so, please could you forward them this mail, Ccing the BTS and me?

If there is no action from anyone, I'll request the removal of this package
from Debian after a month.


Thank you,
-- 
Frank Lichtenheld <djpig@debian.org>
www: http://www.djpig.de/




Severity set to `serious' from `normal' Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. (Wed, 17 Sep 2008 15:00:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#361346; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Thanasis Kinias <tkinias@kinias.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #38 received at 361346@bugs.debian.org (full text, mbox):

From: Thanasis Kinias <tkinias@kinias.org>
To: Frank Lichtenheld <djpig@debian.org>
Cc: 361346@bugs.debian.org, familia <arawaco@ieee.org>
Subject: Re: Remove
Date: Wed, 17 Sep 2008 08:30:14 -0700
scripsit Frank Lichtenheld:
> severity 361346 serious
> thanks
> 
> Hi,
> 
> astrolog has been orphaned for a long time now and I am evaluating
> whether a request for removal should be finally filed.
[...] 
> Are you interested in adopting this package? Do you know potential adopters?
> If so, please could you forward them this mail, Ccing the BTS and me?

I would like to adopt...  IIRC I filed an ITA some time ago -- and at
that time I did quite a lot of work on the package, including an all-new
manpage etc. -- but I got tripped up on licensing.  I wanted to get
astrolog out of non-free but couldn't get agreement on how to do that.

I'm quite busy with other work at the moment but I don't want to see the
package go awy.  Are you a DD?  (I'm not...)  Could you sponsor the
upload if I get a new package finalized?

-- 
Thanasis Kinias
President, Thanasis A. Kinias & Assoc.
Phoenix, Arizona
tel.: +1.480.993.7542
fax:  +1.480.248.2172
.
Je ne viens d'aucun pays, d'aucune cité, d'aucune tribu.  Je suis fils de la
route, ma patrie est caravane, et ma vie la plus inattendue des traversées.
  -- Amin Maalouf, _Léon l'Africain_




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#361346; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Frank Lichtenheld <djpig@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #43 received at 361346@bugs.debian.org (full text, mbox):

From: Frank Lichtenheld <djpig@debian.org>
To: Thanasis Kinias <tkinias@kinias.org>
Cc: 361346@bugs.debian.org, familia <arawaco@ieee.org>
Subject: Re: Remove
Date: Wed, 17 Sep 2008 22:01:59 +0200
On Wed, Sep 17, 2008 at 08:30:14AM -0700, Thanasis Kinias wrote:
> I'm quite busy with other work at the moment but I don't want to see the
> package go awy.  Are you a DD?  (I'm not...)  Could you sponsor the
> upload if I get a new package finalized?

No, I have no time to sponsor packages I'm not interested in. You are
welcome to adopt the package, but you will need to find a sponsor on
your own.

Gruesse,
-- 
Frank Lichtenheld <djpig@debian.org>
www: http://www.djpig.de/




Bug reassigned from package `wnpp' to `ftp.debian.org'. Request was from Frank Lichtenheld (privat) <djpig@debian.org> to control@bugs.debian.org. (Thu, 27 Nov 2008 10:57:03 GMT) Full text and rfc822 format available.

Changed Bug title to `RM: astrolog -- RoQA; orphaned long time, non-free, contains potentially undistributable code' from `O: astrolog -- Customizable astrology chart calculation program'. Request was from Frank Lichtenheld (privat) <djpig@debian.org> to control@bugs.debian.org. (Thu, 27 Nov 2008 10:57:03 GMT) Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Fri, 28 Nov 2008 10:27:04 GMT) Full text and rfc822 format available.

Notification sent to Christoph Berg <myon@debian.org>:
Bug acknowledged by developer. (Fri, 28 Nov 2008 10:28:20 GMT) Full text and rfc822 format available.

Message #52 received at 361346-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 361346-close@bugs.debian.org
Cc: astrolog@packages.debian.org, astrolog@packages.qa.debian.org
Subject: Bug#361346: fixed
Date: Fri, 28 Nov 2008 09:35:54 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

  astrolog |     5.40-3 | source, alpha, i386

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 361346@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Mark Hymers (the ftpmaster behind the curtain)




Bug 361346 cloned as bug 507239. Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. (Sat, 29 Nov 2008 10:21:19 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#361346; Package ftp.debian.org. (Thu, 04 Dec 2008 16:06:02 GMT) Full text and rfc822 format available.

Message #57 received at 361346@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: Frank Lichtenheld <djpig@debian.org>
Cc: 361346@bugs.debian.org, 507239@bugs.debian.org
Subject: Re: cloning 361346, reopening -1, reassign -1 to release.debian.org ...
Date: Thu, 4 Dec 2008 17:03:44 +0100
On Sat, Nov 29, 2008 at 10:57:50AM +0100, Frank Lichtenheld wrote:
> # Automatically generated email from bts, devscripts version 2.10.35
> clone 361346 -1
> reopen -1 
> reassign -1 release.debian.org 
> retitle -1 RM: astrolog/stable -- RoQA; orphaned long time, non-free, contains potentially undistributable code

Hi there,

I don't get from the bug log why this package should be removed from
stable.  Could you please elaborate on that?  (Especially I did not
find anything about potentially undistributable code.)

Kind regards,
Philipp Kern





Information forwarded to debian-bugs-dist@lists.debian.org, Debian FTP Master <ftpmaster@ftp-master.debian.org>:
Bug#361346; Package ftp.debian.org. (Thu, 04 Dec 2008 19:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frank Lichtenheld <djpig@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FTP Master <ftpmaster@ftp-master.debian.org>. (Thu, 04 Dec 2008 19:33:03 GMT) Full text and rfc822 format available.

Message #62 received at 361346@bugs.debian.org (full text, mbox):

From: Frank Lichtenheld <djpig@debian.org>
To: Philipp Kern <pkern@debian.org>
Cc: 361346@bugs.debian.org, 507239@bugs.debian.org
Subject: Re: cloning 361346, reopening -1, reassign -1 to release.debian.org ...
Date: Thu, 4 Dec 2008 20:28:35 +0100
On Thu, Dec 04, 2008 at 05:03:44PM +0100, Philipp Kern wrote:
> On Sat, Nov 29, 2008 at 10:57:50AM +0100, Frank Lichtenheld wrote:
> > # Automatically generated email from bts, devscripts version 2.10.35
> > clone 361346 -1
> > reopen -1 
> > reassign -1 release.debian.org 
> > retitle -1 RM: astrolog/stable -- RoQA; orphaned long time, non-free, contains potentially undistributable code
> 
> Hi there,
> 
> I don't get from the bug log why this package should be removed from
> stable.  Could you please elaborate on that?  (Especially I did not
> find anything about potentially undistributable code.)

Sorry, my fault.

The RC bug against the package is #444061

Gruesse,
-- 
Frank Lichtenheld <djpig@debian.org>
www: http://www.djpig.de/




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 02 Jan 2009 07:28:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:26:56 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.